Bug 21672 - Switch templates to Bootstrap grid: Various
Summary: Switch templates to Bootstrap grid: Various
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 20654
  Show dependency treegraph
 
Reported: 2018-10-25 19:00 UTC by Owen Leonard
Modified: 2019-01-31 16:44 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 21672: Switch templates to Bootstrap grid: Various (34.08 KB, patch)
2018-10-26 15:39 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 21672: Switch templates to Bootstrap grid: Various (10.01 KB, patch)
2018-11-28 18:49 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 21672: Switch templates to Bootstrap grid: Various (10.06 KB, patch)
2018-12-17 14:49 UTC, Claire Gravely
Details | Diff | Splinter Review
Bug 21672: Switch templates to Bootstrap grid: Various (10.15 KB, patch)
2019-01-01 22:58 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2018-10-25 19:00:49 UTC
These various templates can be updated to use the Bootstrap grid.

 - admin/item_circulation_alerts.tt
 - authorities/merge.tt
 - catalogue/stockrotation.tt
 - ill/ill-requests.tt
Comment 1 Owen Leonard 2018-10-26 15:39:43 UTC Comment hidden (obsolete)
Comment 2 Owen Leonard 2018-11-28 18:49:24 UTC Comment hidden (obsolete)
Comment 3 Claire Gravely 2018-12-17 14:49:50 UTC Comment hidden (obsolete)
Comment 4 Katrin Fischer 2019-01-01 22:58:40 UTC
Created attachment 83571 [details] [review]
Bug 21672: Switch templates to Bootstrap grid: Various

This patch modifies various templates to add or improve coverage of the
Bootstrap grid.

To test, apply the patch and view the following pages, confirming that
they look correct at various browser widths:

 - Administration -> Item circulation alerts
 - Authorities -> Authorities search -> Merge records
 - Catalog -> Bibliographic details -> Rota (StockRotation must be
   enabled)
 - Tools -> News: Main and add/edit view

Signed-off-by: Claire Gravely <claire.gravely@bsz-bw.de>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Nick Clemens 2019-01-25 17:58:39 UTC
Awesome work all!

Pushed to master for 19.05
Comment 6 Martin Renvoize 2019-01-31 16:44:31 UTC
Enhancement, will not be backported to 18.11.x series.